"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const LogLevels_1 = require("./LogLevels");
describe("LogLevels.ts tests", () => {
    describe("#inLevel()", () => {
        it("expect to determine if it's in the level, [error]", () => {
            const isInLevel = LogLevels_1.inLevel("error");
            chai_1.expect(isInLevel("error")).to.equal(true);
            chai_1.expect(isInLevel("warn")).to.equal(false);
            chai_1.expect(isInLevel("info")).to.equal(false);
            chai_1.expect(isInLevel("debug")).to.equal(false);
        });
        it("expect to determine if it's in the level, [warn]", () => {
            const isInLevel = LogLevels_1.inLevel("warn");
            chai_1.expect(isInLevel("error")).to.equal(true);
            chai_1.expect(isInLevel("warn")).to.equal(true);
            chai_1.expect(isInLevel("info")).to.equal(false);
            chai_1.expect(isInLevel("debug")).to.equal(false);
        });
        it("expect to determine if it's in the level, [info]", () => {
            const isInLevel = LogLevels_1.inLevel("info");
            chai_1.expect(isInLevel("error")).to.equal(true);
            chai_1.expect(isInLevel("warn")).to.equal(true);
            chai_1.expect(isInLevel("info")).to.equal(true);
            chai_1.expect(isInLevel("debug")).to.equal(false);
        });
        it("expect to determine if it's in the level, [debug]", () => {
            const isInLevel = LogLevels_1.inLevel("debug");
            chai_1.expect(isInLevel("error")).to.equal(true);
            chai_1.expect(isInLevel("warn")).to.equal(true);
            chai_1.expect(isInLevel("info")).to.equal(true);
            chai_1.expect(isInLevel("debug")).to.equal(true);
        });
    });
});
//# sourceMappingURL=LogLevels.spec.js.map